package com.cool.store.enums;

/**
 * @Author: young.yu
 * @Date: 2023-06-13  20:22
 * @Description: 面试状态枚举
 */
public enum InterviewStatusEnum {
    // 0-待预约 1-待面审 2-待审核 3-审批通过 4-不通过
    WAIT_APPOINTMENT(0, "待预约"),
    WAIT_INTERVIEW(1, "待面审"),
    WAIT_AUDIT(2, "待审核"),
    PASS(3, "审批通过"),
    NOT_PASS(4, "不通过");

    private Integer code;

    private String message;

    InterviewStatusEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
